import React from 'react';
import { ColorSchemeName } from 'react-native';
import { Theme } from './theme';
type ThemeProp = {
    appearance: ColorSchemeName;
    theme: Theme;
};
export declare const useTheme: () => Theme;
export declare const useAppearance: () => ColorSchemeName;
export declare const ThemeProvider: React.FC<React.PropsWithChildren<Partial<ThemeProp>>>;
export declare const useColors: () => {
    borderColor: string;
    primaryColor: string;
    secondaryColor: string;
    tertiaryColor: string;
    negativeColor: string;
    warningColor: string;
    disabledColor: string;
    overlay: string;
    baseTextColor: string;
    lightTextColor: string;
    disabledTextColor: string;
    baseBackgroundColor: string;
    dimBackgroundColor: string;
    white: string;
    black: string;
};
export declare const useFontSizes: () => Record<"small" | "xxsmall" | "xsmall" | "medium" | "large" | "xlarge" | "xxlarge", number>;
export declare const useSpaceSizes: () => Record<"small" | "none" | "xxsmall" | "xsmall" | "medium" | "large" | "xlarge" | "xxlarge", number>;
export {};
//# sourceMappingURL=ThemeProvider.d.ts.map